      ******************************************************************
      **                                                              **
      **                      IBM MQ for Windows                      **
      **                                                              **
      **  FILE NAME:      CMQAIRV                                     **
      **                                                              **
      **  DESCRIPTION:    MQAIR Structure -- Authentication           **
      **                  Information Record                          **
      **                                                              **
      ******************************************************************
      **  <copyright                                                  **
      **  notice="lm-source-program"                                  **
      **  pids="5724-H72,5655-R36,5724-L26"                           **
      **  years="1993,2024"                                           **
      **  crc="1616507131" >                                          **
      **  Licensed Materials - Property of IBM                        **
      **                                                              **
      **  5724-H72                                                    **
      **                                                              **
      **  (C) Copyright IBM Corp. 1993, 2024 All Rights Reserved.     **
      **                                                              **
      **  US Government Users Restricted Rights - Use, duplication or **
      **  disclosure restricted by GSA ADP Schedule Contract with     **
      **  IBM Corp.                                                   **
      **  </copyright>                                                **
      ******************************************************************
      **                                                              **
      **  FUNCTION:       This file declares the structure MQAIR,     **
      **                  which is used by the main MQI.              **
      **                                                              **
      **  PROCESSOR:      COBOL                                       **
      **                                                              **
      ******************************************************************

      ******************************************************************
      ** <BEGIN_BUILDINFO>                                            **
      ** Generated on:  05/04/24 15:31                                **
      ** Build Level:   p935-001-240405                               **
      ** Build Type:    Production                                    **
      ** Pointer Size:  64 Bit                                        **
      ** Source File:                                                 **
      ** CMQAIRV                                                      **
      ** <END_BUILDINFO>                                              **
      ******************************************************************

      ** MQAIR structure
       10  MQAIR.
      ** Structure identifier
       15  MQAIR-STRUCID PIC X(4) VALUE 'AIR '.
      ** Structure version number
       15  MQAIR-VERSION PIC S9(9) BINARY VALUE 1.
      ** Type of authentication information
       15  MQAIR-AUTHINFOTYPE PIC S9(9) BINARY VALUE 1.
      ** Connection name of CRL LDAP server
       15  MQAIR-AUTHINFOCONNNAME PIC X(264) VALUE SPACES.
      ** Add padding to ensure that pointers start on correct
      ** boundaries
       15  FILLER  PIC S9(9) BINARY VALUE 0.
      ** Address of LDAP user name
       15  MQAIR-LDAPUSERNAMEPTR POINTER VALUE NULL.
      ** Offset of LDAP user name from start of MQAIR structure
       15  MQAIR-LDAPUSERNAMEOFFSET PIC S9(9) BINARY VALUE 0.
      ** Length of LDAP user name
       15  MQAIR-LDAPUSERNAMELENGTH PIC S9(9) BINARY VALUE 0.
      ** Password to access LDAP server
       15  MQAIR-LDAPPASSWORD PIC X(32) VALUE SPACES.
      ** Ver:1 **
      ** URL of the OCSP responder
       15  MQAIR-OCSPRESPONDERURL PIC X(256) VALUE SPACES.
      ** Ver:2 **


      ******************************************************************
      **  End of CMQAIRV                                              **
      ******************************************************************
